Subject: Undocumented API's
From: [email-masked] (Jeremy Allison)

4 Dec 1996 18:29:52 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Alessandro Forin <[email-masked]>
Original-cc: "'Jeremy Allison'" <[email-masked]>,
        "'Colin Peters'" <[email-masked]>,
        "'GNU-Win32'" <[email-masked]>
In-reply-to: Your message of "Wed, 04 Dec 1996 15:21:09 PST."
             <c=US%a=_%p=msft%l=[email-masked]> 
Original-Sender: [email-masked]

Actually, in addition to my previous message,
I remembered some of the comments in the 
Summer 1996 issue of 'The NT Insider'. In case
you are unaware of it this is a small magagine
published occasionally by Open Systems Resources, Inc.

They are a software house specializing in NT device driver
development. They have this to say on the subject of
NT native mode code (I hope they won't mind me quoting
some text from their publication).

(From Volume 3 Issue 3, page 12).

"One of the most interesting things about the NT API
is that is has never been comprehensively documented
by Microsoft. This must make NT the world's only
commercially available operating system with an
undocumented set of native system services !
 
.... some text omitted....

Not to mention that in order to build your own
reasonably efficient OS emulation subsystem, you
would have to know the native NT API."

That is what we are trying to do with
Cygwin32.

And from the same publication, page 15.

"Is there any good reason at all, then, to use
the NT API directly ? Well, of course. For one,
there's the ability to cancel I/O requests, which
you can't even get at from Win32.

....some text omitted.....

Also, we have in our travels found at leat one
real application that *required* the use of the
NT API."

(their emphasis, not mine).

Any comments ?

	Regards,

		Jeremy.
		[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".